osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39919?usp=email )
Change subject: testenv: fix building osmo-remsim with osmo-dev
......................................................................
testenv: fix building osmo-remsim with osmo-dev
Use --disable-remsim-client-ifdhandler as configure argument for
osmo-remsim. We don't need this for running tests and this prevents the
buildsystem from trying to write to /usr/lib/pcsc/drivers/ which fails
the build.
Change-Id: I3b00e5301433476bd19de3814943878f918c1fa0
---
D _testenv/data/osmo-dev/osmo-bts-trx.opts
A _testenv/data/osmo-dev/testenv.opts
M _testenv/testenv/osmo_dev.py
3 files changed, 3 insertions(+), 2 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/19/39919/1
diff --git a/_testenv/data/osmo-dev/osmo-bts-trx.opts b/_testenv/data/osmo-dev/osmo-bts-trx.opts
deleted file mode 100644
index 8acec2d..0000000
--- a/_testenv/data/osmo-dev/osmo-bts-trx.opts
+++ /dev/null
@@ -1 +0,0 @@
-osmo-bts --enable-trx
diff --git a/_testenv/data/osmo-dev/testenv.opts b/_testenv/data/osmo-dev/testenv.opts
new file mode 100644
index 0000000..15ab331
--- /dev/null
+++ b/_testenv/data/osmo-dev/testenv.opts
@@ -0,0 +1,2 @@
+osmo-bts --enable-trx
+osmo-remsim --disable-remsim-client-ifdhandler
diff --git a/_testenv/testenv/osmo_dev.py b/_testenv/testenv/osmo_dev.py
index 695ca0d..1e94cf1 100644
--- a/_testenv/testenv/osmo_dev.py
+++ b/_testenv/testenv/osmo_dev.py
@@ -98,7 +98,7 @@
"no_man_pages.opts",
"no_systemd.opts",
"werror.opts",
- os.path.join(testenv.data_dir, "osmo-dev/osmo-bts-trx.opts"),
+ os.path.join(testenv.data_dir, "osmo-dev/testenv.opts"),
"--autoreconf-in-src-copy",
] + extra_opts
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/39919?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I3b00e5301433476bd19de3814943878f918c1fa0
Gerrit-Change-Number: 39919
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Attention is currently required from: osmith.
fixeria has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/osmo-ci/+/39912?usp=email )
Change subject: lint: run 'ruff' on various repositories
......................................................................
Patch Set 2: Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/39912?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: I5c2ede1a7b2a204ca3deb24c55008c7585c289a0
Gerrit-Change-Number: 39912
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 04 Apr 2025 10:26:55 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: osmith, pespin.
fixeria has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/osmo-ci/+/39909?usp=email )
Change subject: *.py: ignore: E722 Do not use bare `except`
......................................................................
Patch Set 2: Code-Review+1
(1 comment)
Patchset:
PS1:
> I would rather not change the existing logic in this patch.
I am wondering if `except Exception:` would do the trick? Not critical.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/39909?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: Iaef20d47cd171aab23e516e7f7516caf98264249
Gerrit-Change-Number: 39909
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 04 Apr 2025 10:25:22 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: Yes
Comment-In-Reply-To: osmith <osmith(a)sysmocom.de>
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>
Attention is currently required from: osmith.
fixeria has posted comments on this change by osmith. ( https://gerrit.osmocom.org/c/osmo-ci/+/39908?usp=email )
Change subject: *.py: fix variable assigned to but never used
......................................................................
Patch Set 2: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/39908?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: I6aca8f9aab10e7ee395980b53316a720ab2e2469
Gerrit-Change-Number: 39908
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 04 Apr 2025 10:23:50 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
pespin has submitted this change. ( https://gerrit.osmocom.org/c/upf-benchmark/+/39900?usp=email )
Change subject: testsuites: tunend: upf: Fix wrong format of some ip neigh commands
......................................................................
testsuites: tunend: upf: Fix wrong format of some ip neigh commands
The ip-neigh+printf commands were taken from an older gtplab-sysmo2017
which was printing stuff as ".1%02u", but in the gtplab-sysmo2025
testsuite where they were put they were used to print ".%02u".
As a result, the following IP addresses where printed:
172.16.32.01
..
172.16.32.07
172.16.32.08
172.16.32.09
172.16.32.10
It turns out that commands such as ip neigh actually read integers
between dots as octal if they start with a leading 0.
As a result, addresses .01-.07 were working fine, since those octal
values match the decimal ones. However, .08 and .08 failed to be set due
to not being octal numbers.
As a result, when running eupf tunend ul+dl tests, DL traffic
encapsulated back aimed at RAN iface was, for some unknown reason, sent
over CN iface instead because it couldn't find an ARP resolution for it,
creating misbehaviors when running that testcase.
Change-Id: I1cdc9559aa8243c062d022f97a20ad8f8d3ad55b
---
M testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
M testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
2 files changed, 4 insertions(+), 4 deletions(-)
Approvals:
Jenkins Builder: Verified
pespin: Looks good to me, approved
diff --git a/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh b/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
index eede062..a949e2d 100755
--- a/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
+++ b/testsuites/gtplab-sysmo2025/tunend/upf/eupf/configure.sh
@@ -66,8 +66,8 @@
# TRex doesn't answer ARPs, so we need to set up the peers:
for i in $(seq "2" "$((NUM_ENB + 1))"); do
# Delete needed to potentially drop incomplet entries created when trying to Tx traffic:
- sudo ip neigh del "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
- sudo ip neigh add "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
+ sudo ip neigh del "$(printf "172.16.32.%u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
+ sudo ip neigh add "$(printf "172.16.32.%u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
done
sudo ip neigh del 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
sudo ip neigh add 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
diff --git a/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh b/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
index b574738..f41e98a 100755
--- a/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
+++ b/testsuites/gtplab-sysmo2025/tunend/upf/osmo-upf/configure.sh
@@ -67,8 +67,8 @@
# TRex doesn't answer ARPs, so we need to set up the peers:
for i in $(seq "2" "$((NUM_ENB + 1))"); do
# Delete needed to potentially drop incomplet entries created when trying to Tx traffic:
- sudo ip neigh del "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
- sudo ip neigh add "$(printf "172.16.32.%02u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
+ sudo ip neigh del "$(printf "172.16.32.%u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
+ sudo ip neigh add "$(printf "172.16.32.%u" "$i")" lladdr $MAC_RAN_PEER nud permanent dev $IFACE_RAN || true
done
sudo ip neigh del 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
sudo ip neigh add 172.16.31.200 lladdr $MAC_CN_PEER nud permanent dev $IFACE_CN || true
--
To view, visit https://gerrit.osmocom.org/c/upf-benchmark/+/39900?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: merged
Gerrit-Project: upf-benchmark
Gerrit-Branch: master
Gerrit-Change-Id: I1cdc9559aa8243c062d022f97a20ad8f8d3ad55b
Gerrit-Change-Number: 39900
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>